<template>
<div id="kt_scrolltop" class="scrolltop" @click="toTop" v-show="visible">
    <span class="svg-icon">
        <!--begin::Svg Icon | path:/metronic/themes/metronic/theme/html/demo3/dist/assets/media/svg/icons/Navigation/Up-2.svg-->
        <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
            <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                <polygon points="0 0 24 0 24 24 0 24"></polygon>
                <rect fill="#000000" opacity="0.3" x="11" y="10" width="2" height="10" rx="1"></rect>
                <path
                    d="M6.70710678,12.7071068 C6.31658249,13.0976311 5.68341751,13.0976311 5.29289322,12.7071068 C4.90236893,12.3165825 4.90236893,11.6834175 5.29289322,11.2928932 L11.2928932,5.29289322 C11.6714722,4.91431428 12.2810586,4.90106866 12.6757246,5.26284586 L18.6757246,10.7628459 C19.0828436,11.1360383 19.1103465,11.7686056 18.7371541,12.1757246 C18.3639617,12.5828436 17.7313944,12.6103465 17.3242754,12.2371541 L12.0300757,7.38413782 L6.70710678,12.7071068 Z"
                    fill="#000000"
                    fill-rule="nonzero"
                ></path>
            </g>
        </svg>
        <!--end::Svg Icon-->
    </span>
</div>

</template>
<script>
   export default
   {
      data(){
          return{
              visible:false
          }
      },
      mounted()
      {
          var vm = this
        $(window).scroll(function(){
            if ($(this).scrollTop() > 100) {
                vm.visible = true
            } else {
                vm.visible = false

            }
        });
      },
      methods:
      {
          avatarChanged(event)
          {
                var input = event.srcElement;
            if(input.files && input.files[0])
            {

          }
        },
          toTop()
          {
           $(window).scrollTop(0,0)
          }
      }
   }
</script>
<style scoped>

 .scrolltop:hover {
    -webkit-transition: color .15s ease,background-color .15s ease,border-color .15s ease,-webkit-box-shadow .15s ease;
    transition: color .15s ease,background-color .15s ease,border-color .15s ease,-webkit-box-shadow .15s ease;
    transition: color .15s ease,background-color .15s ease,border-color .15s ease,box-shadow .15s ease;
    transition: color .15s ease,background-color .15s ease,border-color .15s ease,box-shadow .15s ease,-webkit-box-shadow .15s ease;
    opacity: 1;
}
.scrolltop {
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    width: 36px;
    height: 36px;
    position: fixed;
    bottom: 65px;
    right: 20px;
    cursor: pointer;
    z-index: 100;
    background-color: #017890;
    -webkit-box-shadow: 0 0.5rem 1.5rem 0.5rem rgba(0,0,0,.075);
    box-shadow: 0 0.5rem 1.5rem 0.5rem rgba(0,0,0,.075);
    opacity: 1;
    -webkit-transition: color .15s ease,background-color .15s ease,border-color .15s ease,-webkit-box-shadow .15s ease;
    transition: color .15s ease,background-color .15s ease,border-color .15s ease,-webkit-box-shadow .15s ease;
    transition: color .15s ease,background-color .15s ease,border-color .15s ease,box-shadow .15s ease;
    transition: color .15s ease,background-color .15s ease,border-color .15s ease,box-shadow .15s ease,-webkit-box-shadow .15s ease;
    border-radius: .42rem!important;
}
 .scrolltop {
    opacity: .3;
    -webkit-animation: animation-scrolltop .4s ease-out 1;
    animation: animation-scrolltop .4s ease-out 1;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.scrolltop:hover .svg-icon svg:hover g [fill] {
    -webkit-transition: fill .3s ease;
    transition: fill .3s ease;
}

.scrolltop:hover .svg-icon svg g [fill] {
    -webkit-transition: fill .3s ease;
    transition: fill .3s ease;
    fill: #fff;
}
.scrolltop .svg-icon svg:hover g [fill] {
    -webkit-transition: fill .3s ease;
    transition: fill .3s ease;
}
.svg-icon svg:hover g [fill] {
    -webkit-transition: fill .3s ease;
    transition: fill .3s ease;
}
.scrolltop .svg-icon svg g [fill] {
    -webkit-transition: fill .3s ease;
    transition: fill .3s ease;
    fill: #fff;
}
.svg-icon svg g [fill] {
    -webkit-transition: fill .3s ease;
    transition: fill .3s ease;
    fill: #b5b5c3;
}
</style>
